//+------------------------------------------------------------------+
//|                                              Spread&StopLoss.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Pucio"
#property link      "Pucio"

#property indicator_chart_window
extern int Normal_StopLoss = 5;
extern int Normal_Spread = 2;
extern bool Play_Sound = true;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int    counted_bars=IndicatorCounted();
//---- indicators

double MSpread = MarketInfo(Symbol(), MODE_SPREAD); // Spread value in points. 
double MStopLoss = MarketInfo(Symbol(), MODE_STOPLEVEL); // Stop level in points. 
string gap="                    ";

Comment(

      "\n",
 gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap,"PRESENT SPREAD         ",MSpread,  
       "\n",
 gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap+gap,"PRESENT STOP LOSS    ",MStopLoss);
  
    
  
//----

   
      if(MStopLoss > Normal_StopLoss) {
      if(Play_Sound) PlaySound("alert.wav");
      
      Alert("Larger Stop Loss on "+Symbol()+" "+Hour()+":"+Minute()+":"+Seconds());
      
      }
      
      if(MSpread > Normal_Spread) {
      if(Play_Sound) PlaySound("alert.wav");
      
      Alert("Larger Spread on "+Symbol()+" "+Hour()+":"+Minute()+":"+Seconds());    
   }   
     
     
     
     
//----

   return(0);
  }
//+------------------------------------------------------------------+